Main Page | Class List | File List | Class Members | File Members | Related Pages

# /Users/engelen/Projects/gsoap/import/wsu.h File Reference

## Classes
struct | _wsu__Timestamp
| This element allows Timestamps to be applied anywhere element wildcards are present, including as a SOAP header. Imported element _wsu__Timestamp from typemap WS/WS-typemap.dat. More...
## Typedefs
typedef enum wsu__tTimestampFault | wsu__tTimestampFault
| Typedef synonym for enum wsu__tTimestampFault.
typedef _wsu__Timestamp | _wsu__Timestamp
| This element allows Timestamps to be applied anywhere element wildcards are present, including as a SOAP header. Imported element _wsu__Timestamp from typemap WS/WS-typemap.dat.
## Enumerations
enum | wsu__tTimestampFault { wsu__MessageExpired }
| This type is for elements whose [children] is a psuedo-dateTime and can have arbitrary attributes. complexType definition intentionally left blank. This type is for elements whose [children] is an anyURI and can have arbitrary attributes. complexType definition intentionally left blank. This complex type ties together the timestamp related elements into a composite type. complexType definition intentionally left blank. This type defines the fault code value for Timestamp message expiration. Note: enum values are prefixed with 'wsu__tTimestampFault' to avoid name clashes, please use wsdl2h option -e to omit this prefix. More...

## Typedef Documentation

typedef struct _wsu__Timestamp _wsu__Timestamp

| This element allows Timestamps to be applied anywhere element wildcards are present, including as a SOAP header. Imported element _wsu__Timestamp from typemap WS/WS-typemap.dat. Element "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":Timestamp of complexType "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":TimestampType.

typedef enum wsu__tTimestampFault wsu__tTimestampFault

| Typedef synonym for enum wsu__tTimestampFault.

## Enumeration Type Documentation

enum wsu__tTimestampFault

  | This type is for elements whose [children] is a psuedo-dateTime and can have arbitrary attributes. complexType definition intentionally left blank. This type is for elements whose [children] is an anyURI and can have arbitrary attributes. complexType definition intentionally left blank. This complex type ties together the timestamp related elements into a composite type. complexType definition intentionally left blank. This type defines the fault code value for Timestamp message expiration. Note: enum values are prefixed with 'wsu__tTimestampFault' to avoid name clashes, please use wsdl2h option -e to omit this prefix. "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":tTimestampFault is a simpleType restriction of xs:QName. Enumeration values:
  wsu__MessageExpired | xs:QName value=""http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":MessageExpired"